//
//  JDSTTSDefines.h
//  JDSpeechSynthesizer
//
//  Created by 满达 on 2019/12/24.
//  Copyright © 2019 Beijing Jingdong Shangke Information Technology Co., Ltd. All rights reserved.
//

#ifndef JDSTTSDefines_h
#define JDSTTSDefines_h

#import <Foundation/Foundation.h>

#pragma mark - 引擎类型
typedef enum TJDSTTSEngineType
{
    EJDS_TTSLocal = 0,
    EJDS_TTSCloud = 1,
}TJDSTTSEngineType;

#pragma mark - 设定采样率
typedef enum TJDSTTSSampleRate
{
    EJDS_TTSSampleRateAuto = 0,
    EJDS_TTSSampleRate8K   = 8000,
    EJDS_TTSSampleRate12K  = 12000,
    EJDS_TTSSampleRate16K  = 16000,
    EJDS_TTSSampleRate24K  = 24000,
}TJDSTTSSampleRate;

#pragma mark - 设置合成语言
typedef enum TJDSTTSLanguage
{
    EJDS_TTSLanguageMandarin = 0,
    EJDS_TTSLanguageCantonese,
    EJDS_TTSLanguageEnglish,
}TJDSTTSLanguage;

#pragma mark - 设置合成语音音色
/*
 * 普通版音色：0：桃桃（女声） 1：斌斌（男声） 3：婷婷（女声）
 * 精品版音色：0：桃桃（女声） 4：郭靖 (男声) 6: 莫妮卡(女声) 8: 德洛丽丝(女声)
 */
typedef enum TJDSynthesizerSpeaker
{
    EJDS_TTS_TAOTAO_FEMALE   = 0,    /* 桃桃女声 */
    EJDS_TTS_BINBIN_MALE     = 1,    /* 斌斌男声 */
    EJDS_TTS_TINGTING_FEMALE = 3,    /* 婷婷女声 */
    EJDS_TTS_GUOJING_MALE    = 4,    /* 郭靖男声 */
    EJDS_TTS_MONICA_FEMALE   = 6,    /* 莫妮卡女声 */
    EJDS_TTS_DELORES_FEMALE  = 8,    /* 德洛丽丝女声 */
}TJDSynthesizerSpeaker;

#pragma mark - 设置合成音频格式
typedef enum TJDSTTSAudioFormat
{
    EJDS_TTSAudioFormatWAV = 0,
    EJDS_TTSAudioFormatPCM,
    EJDS_TTSAudioFormatOPUS,
}TJDSTTSAudioFormat;

#pragma mark - 返回时间戳
typedef enum TJDSTTSTimeStamp
{
    ETTSTimeStampDis = 0, // 禁止
    ETTSTimeStampEna = 1, // 允许
}TJDSTTSTimeStamp;

#pragma mark - 语音合成错误通知状态
extern const NSInteger ER_JDS_TTS_OK;                          //= 0;                 // 合成成功
extern const NSInteger ER_JDS_TTS_NotSupportParam;             //= -2001;             // 不支持的参数
extern const NSInteger ER_JDS_TTS_RequestCntl;                 //= -2002;             // 服务器未完成初始化
extern const NSInteger ER_JDS_TTS_ServerBusy;                  //= -2003;             // 服务器忙
extern const NSInteger ER_JDS_TTS_TextTooShort;                //= -2004;             // 文本太短
extern const NSInteger ER_JDS_TTS_TextTooLong;                 //= -2005;             // 文本太长
extern const NSInteger ER_JDS_TTS_SeqIDForSession;             //= -2006;             // seqId不正确
extern const NSInteger ER_JDS_TTS_EngineError;                 //= -2007;             // 引擎出错
extern const NSInteger ER_JDS_TTS_OpusError;                   //= -2008;             // 服务端Opus 压缩出错
extern const NSInteger ER_JDS_TTS_AuthError;                   //= -2009;             // 鉴权失败,Appid 等非法
extern const NSInteger ER_JDS_TTS_PlayerError;                 //= -2010;             // 播放器出错
extern const NSInteger ER_JDS_TTS_NetworkConnectionFailed;     //= -2011;             // 网络连接失败
extern const NSInteger ER_JDS_TTS_NetworkTimeout;              //= -2012;             // 网络读写超时
extern const NSInteger ER_JDS_TTS_JDCloudFaileError;           //= -2013;             // 京东云网关系统错误
extern const NSInteger ER_JDS_TTS_SynRunning;                  //= -2014;             // 当前合成任务未完成
extern const NSInteger ER_JDS_TTS_CacheBufferLimit;            //= -2015;             // 内部缓冲文本数量达到上限
extern const NSInteger ER_JDS_TTS_InvaFEModel;                 //= -2100;             // 无效的前端资源文件
extern const NSInteger ER_JDS_TTS_InvaModel;                   //= -2101;             // 无效的发音人模型文件

#endif /* JDSTTSDefines_h */
