//
//  JDSTTSParameters.h
//  JDSpeechSynthesizer
//
//  Created by 满达 on 2019/12/24.
//  Copyright © 2019 Beijing Jingdong Shangke Information Technology Co., Ltd. All rights reserved.
//

#ifndef JDSTTSParameters_h
#define JDSTTSParameters_h

#import <Foundation/Foundation.h>

#pragma mark - TTS参数配置

/*
* JDS_TTS_ENGINE_TYPE
* Value explanation:   引擎类型
* Value type:          NSInteger
* Default value:       EJDS_TTSCloud
*/
extern NSString *const JDS_TTS_ENGINE_TYPE;

/*
 * JDS_TTS_SERVER_URL
 * Value explanation:   服务器地址
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDS_TTS_SERVER_URL;

/*
 * JDS_TTS_APP_ID
 * Value explanation:   Application Id
 *                      调用Neuhub平台无需配置
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDS_TTS_APP_ID;

/*
 * JDS_TTS_APP_KEY
 * Value explanation:   Application Key
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDS_TTS_APP_KEY;

/*
 * JDS_TTS_SECRET_KEY
 * Value explanation:   Secret Key
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDS_TTS_SECRET_KEY;

/*
 * JDS_TTS_SAMPLE_RATE
 * Value explanation:   设置语音合成后音频采样率
 * Value type:          NSInteger
 * Default value:       @(EJDS_TTSSampleRate16K)
 */
extern NSString *const JDS_TTS_SAMPLE_RATE;

/*
 * JDS_TTS_VOLUME_LEVEL
 * Value explanation:   合成语音音量大小
 * Value type:          float
 * Default value:       2.0f 取值范围:[0.1, 10.0]
 */
extern NSString *const JDS_TTS_VOLUME_LEVEL;

/*
 * JDS_TTS_SPEED_LEVEL
 * Value explanation:   合成语音语速大小
 * Value type:          float
 * Default value:       1.0f 取值范围:[0.5, 2.0]
 */
extern NSString *const JDS_TTS_SPEED_LEVEL;

/*
 * JDS_TTS_LANGUAGE
 * Value explanation:   合成语言
 * Value type:          NSInteger
 * Default value:       @(EJDS_TTSLanguageMandarin)
 */
extern NSString *const JDS_TTS_LANGUAGE;

/*
 * JDS_TTS_TIM_TYPE
 * Value explanation:   合成语音音色
 * Value type:          NSInteger
 * Default value:       @(EJDS_SYNTHESIZER_SPEAKER_FEMALE)
 */
extern NSString *const JDS_TTS_TIM_TYPE;

/*
 * JDS_TTS_AUE_TYPE
 * Value explanation:   合成语音音频格式
 * Value type:          NSInteger
 * Default value:       @(EJDS_TTSAudioFormatOPUS)
 */
extern NSString *const JDS_TTS_AUE_TYPE;

/*
 * JDS_TTS_TIME_STAMP
 * Value explanation:   返回音素序列时间戳
 * Value type:          NSInteger
 * Default value:       ETTSTimeStampDis
 */
extern NSString *const JDS_TTS_TIME_STAMP;

/*
* JDS_TTS_RES_PATH
* Value explanation:   离线TTS前端资源文件路径
* Value type:          NSString
* Default value:       -
*/
extern NSString *const JDS_TTS_RES_PATH;

/*
* JDS_TTS_VOICE_PATH
* Value explanation:   离线TTS发音模型文件路径
* Value type:          NSString
* Default value:       -
*/
extern NSString *const JDS_TTS_VOICE_PATH;

#endif /* JDSTTSParameters_h */
