//
//  CommonUtil.m
//  JD_Speech_iOS
//
//  Created by 满达 on 2018/6/7.
//  Copyright © 2018年 满达. All rights reserved.
//

#import "CommonUtil.h"

@implementation CommonUtil

#pragma directory

+(NSString *)bundlePath:(NSString *)fileName {
    return [[[NSBundle mainBundle] bundlePath] stringByAppendingPathComponent:fileName];
}

+(NSString *)documentsPath:(NSString *)fileName {
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    return [documentsDirectory stringByAppendingPathComponent:fileName];
}

+(BOOL) fileExist:(NSString*)filePath {
    NSFileManager *fileManager = [NSFileManager defaultManager];
    if ([fileManager fileExistsAtPath:filePath]) {
        return YES;
    }
    return NO;
}

+(NSString *)tmpPath:(NSString *)fileName {
    NSString *tmpDir = NSTemporaryDirectory();
    return [tmpDir stringByAppendingPathComponent:fileName];
}

#pragma judgemnt

+ (BOOL)isBlankString:(NSString *)aStr {
    if (!aStr) {
        return YES;
    }
    if ([aStr isKindOfClass:[NSNull class]]) {
        return YES;
    }
    if (!aStr.length) {
        return YES;
    }
    NSCharacterSet *set = [NSCharacterSet whitespaceAndNewlineCharacterSet];
    NSString *trimmedStr = [aStr stringByTrimmingCharactersInSet:set];
    if (!trimmedStr.length) {
        return YES;
    }
    return NO;
}

+ (BOOL)isNullToDictionary:(NSDictionary *)dict {
    
    if (dict != nil && ![dict isKindOfClass:[NSNull class]] && dict.count != 0) {
        
        return NO;
        
    }else{
        
        return YES;
    }
}

@end
